org.jboss.jca.as.converters.wls.api.metadata

## Enum ConnectionDefinition.Tag

- java.lang.Object
- - java.lang.Enum<ConnectionDefinition.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.ConnectionDefinition.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionDefinition.Tag>
  Enclosing interface:
    ConnectionDefinition

      public static enum ConnectionDefinition.Tag
      extends java.lang.Enum<ConnectionDefinition.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTION_FACTORY_INTERFACE` connection-factory-interface tag
    `CONNECTION_INSTANCE` connection-instance tag
    `DEFAULT_CONNECTION_PROPERTIES` default-connection-properties tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionDefinition.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionDefinition.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionDefinition.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionDefinition.Tag UNKNOWN

      always first

    - #### CONNECTION_FACTORY_INTERFACE

          public static final ConnectionDefinition.Tag CONNECTION_FACTORY_INTERFACE

      connection-factory-interface tag

    - #### DEFAULT_CONNECTION_PROPERTIES

          public static final ConnectionDefinition.Tag DEFAULT_CONNECTION_PROPERTIES

      default-connection-properties tag

    - #### CONNECTION_INSTANCE

          public static final ConnectionDefinition.Tag CONNECTION_INSTANCE

      connection-instance tag

  - ### Method Detail

    - #### values

          public static ConnectionDefinition.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionDefinition.Tag c : ConnectionDefinition.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionDefinition.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionDefinition.Tag>`

    - #### forName

          public static ConnectionDefinition.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)